Package org.apache.commons.math3.exception.util

# Class ArgUtils

java.lang.Object
org.apache.commons.math3.exception.util.ArgUtils

public class ArgUtils extends Object
Utility class for transforming the list of arguments passed to constructors of exceptions.

## Method Summary

Modifier and Type
Method
Description
`static Object[]`
`flatten(Object[] array)`
Transform a multidimensional array into a one-dimensional list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### flatten

public static Object[] flatten(Object[] array)
Transform a multidimensional array into a one-dimensional list.

Parameters:
  `array` - Array (possibly multidimensional).
Returns:
  a list of all the `Object` instances contained in `array`.